<?php

namespace Drupal\theme_selector\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * Controller for Theme Selector List.
 */
class ThemeSelectorController extends ControllerBase {

  /**
   * Query for theme selectors.
   *
   * @return array
   */
  public static function getThemeSelector(string $theme_selector) {
    $theme_selector_bundle = \Drupal::entityTypeManager()->getStorage('theme_selector');
    $theme_selector_entity = $theme_selector_bundle->load($theme_selector);
    return $theme_selector_entity;
  }

}
