<?php

namespace Drupal\Tests\theme_selector\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Test module.
 *
 * @group simplenews_mailjet_subscriptions
 */
class ConfigurationFormTest extends BrowserTestBase {

  public static $modules = [
    'theme_selector',
  ];

  protected $defaultTheme = 'seven';

  /**
   *
   */
  protected function setUp() {
    parent::setUp();

    $account =
            $this->drupalCreateUser([
              'administer site configuration',
            ]);

    $this->drupalLogin($account);
  }

  /**
   *
   */
  public function testModuleDoesNotBreaksSite() {
    $this->assertSession()->statusCodeEquals(200);
  }

  /**
   *
   */
  public function testCanAccessContentMessages() {
    $this->drupalGet('/admin/config/user-interface/theme-selectors');
    $this->assertText('Theme Selector');
  }

}
